Subject: Re: [DNSOP] New Version Notification for draft-dickinson-dnsop-dns-capture-format-00.txt

From: Jim Hague <[email-masked]>
Date: Thu, 1 Dec 2016 16:29:52 +0000

On 28/11/2016 20:57, Robert Edmonds wrote:
> Paul Hoffman wrote:
>> On 1 Nov 2016, at 10:54, Philip Homburg wrote:
>>
>>> I find it hard to believe that after compression, the BSON encoded
>>> version of the DNS data would be a lot smaller than just the
>>> raw DNS data.
>>
>> Please note the use case in the draft: they don't want to burden the CPU of
>> the box with compressing with gzip, bzip, and so on.
>
> This draft compares lz4 vs gzip vs xz. If minimizing CPU usage is a
> concern, I'd be curious to see zstd (http://zstd.net/) added to the set
> of compressors being compared. I've found that zstd is often capable of
> beating gzip's compression ratio while consuming much less CPU.

Thanks for the suggestion. We'll look at adding zstd - and possibly 
Snappy too - in a future draft revision. Initially I'll probably want to 
look at compression ratios; I'm wondering if one may turn out hit a 
particularly sweet spot when working on a C-DNS corpus.
-- 
Jim Hague - [email-masked]          Never trust a computer you can't lift.